Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDUndeployment

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDUndeployment

All Implemented Interfaces:
  java.io.Serializable, WSDDTypeMappingContainer

public class WSDDUndeployment
extends WSDDElement
implements WSDDTypeMappingContainer

WSDD deployment element

Author:
  James Snell
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDUndeployment()` Default constructor
`WSDDUndeployment(org.w3c.dom.Element e)` Constructor - build an undeployment from a DOM Element.

Method Summary
`void` | `addChain(QName chain)`
`void` | `addHandler(QName handler)`
`void` | `addService(QName service)`
`void` | `addTransport(QName transport)`
`void` | `deployTypeMapping(WSDDTypeMapping typeMapping)`
`protected QName` | `getElementName()` Return the element name of a particular subclass.
`WSDDTypeMapping[]` | `getTypeMappings()`
`void` | `undeployFromRegistry(WSDDDeployment registry)`
`void` | `writeToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDUndeployment

    public WSDDUndeployment()

  Default constructor

### WSDDUndeployment

    public WSDDUndeployment(org.w3c.dom.Element e)
                     throws WSDDException

  Constructor - build an undeployment from a DOM Element.

Parameters:
  `e` - the DOM Element to initialize from
Throws:
  `WSDDException` - if there is a problem

Method Detail

### addHandler

    public void addHandler(QName handler)

### addChain

    public void addChain(QName chain)

### addTransport

    public void addTransport(QName transport)

### addService

    public void addService(QName service)

### deployTypeMapping

    public void deployTypeMapping(WSDDTypeMapping typeMapping)
                           throws WSDDException

  Specified by:
    `deployTypeMapping` in interface `WSDDTypeMappingContainer`
    `WSDDException`

### getElementName

    protected QName getElementName()

  Description copied from class: `WSDDElement`
  Return the element name of a particular subclass.

  Specified by:
    `getElementName` in class `WSDDElement`

### undeployFromRegistry

    public void undeployFromRegistry(WSDDDeployment registry)
                              throws ConfigurationException

    `ConfigurationException`

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  Description copied from class: `WSDDElement`
  Write this element out to a SerializationContext

  Specified by:
    `writeToContext` in class `WSDDElement`
    `java.io.IOException`

### getTypeMappings

    public WSDDTypeMapping[] getTypeMappings()

  Returns:
    XXX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.